.talk {
  display: flex;
  justify-content: center;
  align-items: flex-end;
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1000;
}
.talk__wrap {
  width: 50%;
}
.talk__overlay {
  position: absolute;
  background-color: rgba(0, 0, 0, 0.5);
  width: 100%;
  height: 100%;
}
.talk__wrap {
  z-index: 99999;
}
.talk__content {
  background-color: white;
  width: 100%;
  height: 170px;
  margin: 0;
  margin-bottom: 70px;
  text-align: center;
  border-radius: 10px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.nextBtn {
  background-color: hotpink;
  color: white;
  padding: 10px 20px;
  font-size: 19px;
  border: 1px solid purple;
  margin-bottom: 20px;
  cursor: pointer;
  transition: all 0.2s ease-in;
}
.nextBtn:hover {
  background-color: rgb(226, 91, 159);
}
.btn-wrap {
  width: 100%;
  display: flex;
  justify-content: right;
  margin-right: 60px;
}
.talk__char {
  width: 100%;
}

.talk__script {
  width: 100%;
  height: 100%;
  display: flex;
  padding: 25px 30px;
  margin: 0;
  font-size: 18px;
  font-weight: 600;
  color: rgba(0, 0, 0, 0.7);
  text-align: left;
}
.talk-npc-img {
  position: absolute;
  bottom: 170px;
  z-index: -99;
  width: 250px;
  height: 300px;
  transform: scaleX(-1);
}
.talk-player-img {
  position: absolute;
  bottom: 140px;
  z-index: -99;
  width: 250px;
  height: 300px;
}
.talk__player {
  display: flex;
  justify-content: right;
}

.talk__char--right {
  display: flex;
  justify-content: right;
}

.talk__char > div > h3 {
  background-color: hotpink;
  color: white;
  padding: 10px;
  width: 100px;
  text-align: center;
}
